Subject: Re: high priority interrupts disabled - problem found

From: Dan Malek <[email-masked]>
Date: Thu, 13 Dec 2001 14:35:12 -0500

Steve Rossi wrote:

> Thanks for your followup Dan. I've got a rather straightforward "dumb" approach
> to fixing this problem - see the patch below.

Looks pretty good.  My last concern is the way we overload the semantics of
the functions depending upon a driver requesting the service and the interrupt
controller using these functions.  For example, a driver will request to
enable or disable one particular interrupt, while the interrupt handling functions
will need to honor the priority, as you have added.  Allowing a driver request
to affect the priority mask may not be appropriate.

Thanks for the effort understanding the problem and finding a solution that
works for you.  It appears to be "more right" than it was :-).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/